Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4890 - ndc broken on clean install
Summary: ndc broken on clean install
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-03 16:39 UTC by Simon Hill
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-24 18:49:52 UTC


Attachments (Terms of Use)

Description Simon Hill 1999-09-03 16:39:05 UTC
After a clean install of RH 6.0, when I first tried to use
ndc, I got the following error messages (these are all with
a cleanly running named, either started by the boot process,
or with /etc/rc.d/init.d/named start):

# ndc restart
ndc: error: name server not running

however, named is running. ndc starts another instance, and
then hangs.

# ndc stop
ndc: error: ctl_client: evConnect(fd 5): Connection refused
ndc: error: cannot connect to command channel (/var/run/ndc)

I took a look at /var/run/ndc, and noticed that the date on
it was earlier than my latest boot, so I stopped named,
moved ndc out of the way, and restarted.  Now ndc works.

The leftover ndc was a pipe, the newly created one a socket.
I don't know where the pipe came from, but the named startup
ought to remove any old /var/run/ndc which is left lying
around.

Comment 1 Preston Brown 1999-09-24 18:49:59 UTC
fixed (we do a full stop/start not a ndc restart) for the next
release.


Note You need to log in before you can comment on or make changes to this bug.